<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package ameen
 */

get_header(); ?>
    <section class="feature-image feature-image-default-alt">
            <h1 class="page-title">Opps! that page can't be found. </h1>
    </section> 
    <div class="container">
        <div id="primary" class="row">
            <main id="content" class="col-sm-8">
                <div class="error-404 not-found">
                    <div class="page-content">
                        <h2>Don't fret, let's get you back on track</h2>
                        <p>..or just head back to the <a href="<?php echo esc_url(home_url('/')); ?>">home page</a></p>
                        
                        <h2>Or, Perhaps you were looking for a blog post</h2>
                    <?php
                if ( have_posts() ) :
                        while ( have_posts() ) : the_post();
                                get_template_part( 'template-parts/content', get_post_format() );

                        endwhile;

                        the_posts_navigation();

                else :

                        get_template_part( 'template-parts/content', 'none' );

                endif; 
            ?>
                    </div>
                </div>
            </main>
            
            <aside class="col-sm-4">
                <?php get_sidebar(); ?>
            </aside>
        </div>
    </div>

<?php
get_footer();