<?php
/*
 * Template Name: Blog Right Sidebar
 */
get_header();
$thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id($post->ID));
?>
<?php if(has_post_thumbnail()){?>
<section class="feature-image feature-image-default" style="background: linear-gradient(rgba(0, 0, 0, 0.30), rgba(0, 0, 0, 0.30)),rgba(0,0,0,0.30) url('<?php echo esc_url($thumbnail_url); ?>') no-repeat;
         background-size:cover;">
    <h1 class="page-title"><?php the_title(); ?></h1>
</section><!-- feature Image--> 
<?php } else { ?>
<section class="feature-image feature-image-default">
        <h1 class="page-title"><?php the_title();?></h1>
</section><!-- fallback feature Image-->    
 <?php }?>   

<div class="container">
        <div class="row" id="primary">
            
            <main id="content" class="col-sm-8" role="main">
		<?php
                    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                    $args = array(
                            'post_type' => 'post',
                            'orderby' => 'post_id',
                            'paged' => $paged,
                            'order' => 'DSC'
                    );

                // the query
                $the_query = new WP_Query( $args );

                // Pagination fix
                    $temp_query = $wp_query;
                    $wp_query   = NULL;
                    $wp_query   = $the_query;
                ?>

                <?php if ( $the_query->have_posts() ) : ?>

                  <!-- the loop -->
                    <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
                    <?php get_template_part( 'template-parts/content', get_post_format() ); ?>
                    <?php endwhile; ?>
                    <!-- end of the loop -->
                <?php the_posts_pagination();

                 wp_reset_postdata(); ?>

                <?php else : get_template_part( 'content', 'none' ); endif; ?>
            </main>           
            <div class="col-sm-4">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>

<?php
get_footer();