<?php
//Advance Custom Fields
$ameen_features_section_display        = get_field('ameen_features_section_display');
$ameen_features_section_title          = get_field('ameen_features_section_title');
$ameen_features_section_description    = get_field('ameen_features_section_description');
?>

<?php if(!empty($ameen_features_section_display)) :?>
<section id="theme-features">
    <div class="container">
        <h2><?php echo esc_html($ameen_features_section_title); ?></h2>
        <p><?php echo esc_html($ameen_features_section_description); ?></p>
        <div class="row">
            <?php $loop = new WP_Query(array(
                'post_type' => 'feature',
                'orderby' => 'post_id',
                'order' => 'DSC'
            ));?>
            <?php while ($loop->have_posts()): $loop->the_post(); ?>
            <div class="col-sm-4 feature-thumb">
                <?php 
                if (has_post_thumbnail()){
                    the_post_thumbnail();
                }
                ?>
                <h3><?php the_title(); ?></h3>
                <p><?php the_content(); ?></p>
            </div><!--col-->
            <?php endwhile; wp_reset_postdata(); ?>
        </div><!--row-->
    </div><!--container-->
</section>
<?php endif; ?>