<?php

/* 
 * Templae for displaying single post contents
 */

get_header();?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <header class="entry-header">
        <?php 
            the_title('<h3 class="entry-title">','</h3>');
            
        if ('post' === get_post_type()): ?>
        <div class="post-meta">
            <i class="fa fa-user"> <?php the_author(); ?></i>
            <i class="fa fa-clock-o"> <time><?php the_date(); ?></time></i>
            <i class="fa fa-folder"> <?php the_category( ' | ' ); ?>  </i>
            <i class="fa fa-tags"> <?php the_tags('', ' , ', '') ?></i>
            <div class="post-comments-badge">
                <a href="<?php comments_link(); ?>">
                    <i class="fa fa-comments"><?php comments_number(0, 1, '%') ?></i>
                </a>
            </div>
            <div><?php edit_post_link('Edit', '<i class="fa fa-pencil"></i>', ''); ?></div>
        </div>
        <?php endif; ?>
    </header>
    <?php
    if (has_post_thumbnail()){ ?>
    <div class="image">
        <?php the_post_thumbnail('ameen-large-thumb'); ?>
    </div>
    <?php }?>   
    <div class="post-content">
        <?php the_content(); ?>
    </div>
</article> <!--post <?php the_ID(); ?> -->