<?php
/*
 * Template Name: Page Left Sidebar
 */
get_header();
$thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id($post->ID));
?>
<?php if(has_post_thumbnail()){?>
<section class="feature-image feature-image-default" style="background: linear-gradient(rgba(0, 0, 0, 0.30), rgba(0, 0, 0, 0.30)),rgba(0,0,0,0.30) url('<?php echo esc_url($thumbnail_url); ?>') no-repeat;
         background-size:cover;">
    <h1 class="page-title"><?php the_title(); ?></h1>
</section><!-- feature Image--> 
<?php } else { ?>
<section class="feature-image feature-image-default">
        <h1 class="page-title"><?php the_title();?></h1>
</section><!-- fallback feature Image-->    
 <?php }?>  

<div class="container">
            <div class="row" id="primary">
                <div class="col-sm-4">
                    <?php get_sidebar(); ?>
                </div>
                <main id="main-content" class="col-sm-8">
                    <?php
                                while ( have_posts() ) : the_post();

                                        get_template_part( 'template-parts/content', 'page' );

                                        // If comments are open or we have at least one comment, load up the comment template.
                                        if ( comments_open() || get_comments_number() ) :
                                                comments_template();
                                        endif;

                                endwhile; // End of the loop.
                                ?>
                </main>
            </div>
        </div>

<?php
get_footer();