<?php
/**
 * The template for displaying the footer
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package ameen
 */
?>

	<footer id="colophon" class="site-footer">
            <?php get_sidebar('footer'); ?>
		<div class="site-info col-sm-6">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
                            <?php echo wp_kses_post( get_theme_mod( 'ameen_footer_text' ));
			?></a>
			<span class="sep"> | </span>
			<?php
				/* translators: 1: Theme name, 2: Theme author. */
				printf( esc_html__( 'Theme: %1$s by %2$s.', 'ameen' ), 'Ameen', '<a href="http://www.mizwphero.com/">Barikah</a>' );
			?>
		</div><!-- .site-info -->
                
                <div class="ameen-social col-sm-6">
                    <span class="ameen-social-fb">
                        <a href="<?php echo esc_url(get_theme_mod('ameen_social_fb', 'https://www.facebook.com'));?>" target="_blank"><i class="fa fa-facebook"></i></a> 
                    </span>
                    <span class="ameen-social-twitter">
                       <a href="<?php echo esc_url(get_theme_mod( 'ameen_social_twitter', 'https://www.twitter.com' ));?>" target="_blank"><i class="fa fa-twitter"></i></a> 
                    </span>
                    <span class="ameen-social-gplus">
                       <a href="<?php echo esc_url(get_theme_mod( 'ameen_social_gplus','https://plus.google.com' ));?>" target="_blank"><i class="fa fa-google-plus"></i></a> 
                    </span>
                    <span class="ameen-social-instagram">
                       <a href="<?php echo esc_url(get_theme_mod( 'ameen_social_instagram','https://www.instagram.com' ));?>" target="_blank"><i class="fa fa-instagram"></i></a> 
                    </span>
                    <span class="ameen-social-pinterest">
                       <a href="<?php echo esc_url(get_theme_mod( 'ameen_social_pinterest','https://www.pinterest.com' ));?>" target="_blank"><i class="fa fa-pinterest"></i></a> 
                    </span>
                    
                </div>
	</footer><!-- #colophon -->

<?php wp_footer(); ?>
</body>
</html>
