<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package ameen
 */

get_header(); ?>
    <section class="feature-image feature-image-default">
            <h1 class="page-title"><?php
                    /* translators: %s: search query. */
                    printf( esc_html__( 'Search Results for: %s', 'ameen' ), '<span>' . get_search_query() . '</span>' );
            ?></h1>
        </section>
	<div class="container">
            <div id="primary" class="row">
		<main id="content" class="col-sm-8">

		<?php
		if ( have_posts() ) : ?>


			<?php
			while ( have_posts() ) : the_post();

				get_template_part( 'template-parts/content', 'search' );

			endwhile;

                        the_posts_pagination();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>

		</main>
                <aside class="col-sm-4">
                    <?php get_sidebar(); ?>
                </aside>
            </div>
        </div>

<?php
get_footer();