<?php
$ameen_testimonials_display             = get_field('ameen_testimonials_display');
$ameen_testimonial_section_title        = get_field('ameen_testimonial_section_title');
$ameen_testimonial_section_description  = get_field('ameen_testimonial_section_description');
?>

<?php if (!empty($ameen_testimonials_display)): ?>
<section id="testimonial-section">
    <div class="container">
        <h2><?php echo esc_html($ameen_testimonial_section_title); ?></h2>
        <p> <?php echo esc_html($ameen_testimonial_section_description); ?></p>
        <div class="row">
            <div class="col-sm-8 col-sm-offset-2">
                
                <?php $loop = new WP_Query(array(
                   'post_type' => 'testimonial',
                    'orderby' => 'post_id',
                    'order' => 'DSC'
                )); ?>
                
                <?php while ($loop->have_posts()) : $loop->the_post(); ?>
                
                <div class="row testimonial">
                    <div class="col-sm-4">
                        <?php
                        if (has_post_thumbnail()){//check for feature image
                            the_post_thumbnail(array(200, 200));
                        }
                        ?>
                    </div><!--col-->
                    <div class="col-sm-8">
                        <blockquote>
                           <?php the_content(); ?>
                            <cite>&mdash; <?php the_title(); ?></cite>
                        </blockquote>
                    </div><!--col-->
                </div><!--row-->
                <?php endwhile; wp_reset_postdata(); ?>
            </div><!--col-->
        </div><!--row-->
    </div><!--container-->
</section>
<?php endif; ?>