<?php
/*
 * Template Name: Full width template
 */
get_header();
$thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id($post->ID));
?>
<?php if(has_post_thumbnail()){?>
<section class="feature-image feature-image-default" style="background: linear-gradient(rgba(0, 0, 0, 0.30), rgba(0, 0, 0, 0.30)),rgba(0,0,0,0.30) url('<?php echo esc_url($thumbnail_url); ?>') no-repeat;
         background-size:cover;">
    <h1 class="page-title"><?php the_title(); ?></h1>
</section><!-- feature Image--> 
<?php } else { ?>
<section class="feature-image feature-image-default">
        <h1 class="page-title"><?php the_title();?></h1>
</section><!-- fallback feature Image-->    
 <?php }?>   
<!--main-content-->
    <div class="container">
        <div class="row" id="primary">
            <div id="content" class="col-sm-12">
                <section class="main-content">
                    <?php while (have_posts()): the_post(); ?>
                        <?php the_content(); ?>
                    <?php endwhile; ?>
                </section>
            </div>
        </div>
    </div>
<?php get_footer(); ?>